Subject: Re: bug#36456: Guix stumbles on duplicates?

From: swedebugia <[email-masked]>
Date: Tue, 2 Jul 2019 11:30:52 +0200

On 2019-07-01 21:54, Ricardo Wurmus wrote:
> 
> Hi swedebugia,
> 
> I don’t understand the bug you are reporting.  What duplicates are you
> referring to?  How can I reproduce this bug?

I sent the whole crates-io.scm to the bug-adress which you can use to 
reproduce.

The duplicates in that file are a lot of double imported crates by arne. 
I'm pruning the duplicates by hand right now and building some of the 
most referenced packages (like rust-rand) with some degree of success.

The error reported only arises with arnes duplicates added to my own 
~200 imported crates.

> 
>> guix/build-system/cargo.scm:128:4: Invalid keyword:
>> ("rust-lazy-static" #<package [email-masked]
>> /home/user/src/guix/gnu/packages/crates-io.scm:98 3690d10>)
> 
> What’s the code at the reported line?
> 

(define-public rust-lazy-static 

   (package 

     (name "rust-lazy-static")     <--- line 98 

     (version "1.3.0") 

     (source 

       (origin 

         (method url-fetch) 

         (uri (crate-uri "lazy_static" version)) 

         (file-name 

           (string-append name "-" version ".tar.gz")) 

         (sha256 

           (base32 

             "052ac27w189hrf1j3hz7sga46rp84zl2hqnzyihxv78mgzr2jmxw")))) 

     (build-system cargo-build-system) 

     (arguments 

       `(#:cargo-inputs (("rust-spin" ,rust-spin)))) 

     (home-page 

       "https://github.com/rust-lang-nursery/lazy-static.rs") 

     (synopsis 

       "A macro for declaring lazily evaluated statics in Rust.") 

     (description 

       "This package provides a macro for declaring lazily evaluated 
statics in Rust.") 

     (license #f)))

-- 
Cheers Swedebugia